/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package inventario.facade.remote;

import inventario.entity.Supplier;
import java.util.List;
import javax.ejb.Remote;

/**
 *
 * @author Daniel
 */
@Remote
public interface SupplierFacadeRemote {

    void create(Supplier supplier);

    void edit(Supplier supplier);

    void remove(Supplier supplier);

    Supplier find(Object id);

    List<Supplier> findAll();

}
